org.apache.jmeter.protocol.bolt.config

## Class BoltConnectionElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.bolt.config.BoltConnectionElement

- All Implemented Interfaces:
    Serializable, Cloneable, ConfigElement, Searchable, TestBean, TestElement, TestStateListener

      public class BoltConnectionElement
      extends AbstractTestElement
      implements ConfigElement, TestStateListener, TestBean

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOLT_CONNECTION`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoltConnectionElement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfigElement(ConfigElement config)` Add a configuration element to this one.
    `boolean` | `expectsModification()` If your config element expects to be modified in the process of a test run, and you want those modifications to carry over from sample to sample (as in a cookie manager - you want to save all cookies that get set throughout the test), then return true for this method.
    `String` | `getBoltUri()`
    `static org.neo4j.driver.Driver` | `getDriver()`
    `int` | `getMaxConnectionPoolSize()`
    `String` | `getPassword()`
    `String` | `getUsername()`
    `void` | `setBoltUri(String boltUri)`
    `void` | `setMaxConnectionPoolSize(int maxConnectionPoolSize)`
    `void` | `setPassword(String password)`
    `void` | `setUsername(String username)`
    `void` | `testEnded()` Called once for all threads after the end of a test.
    `void` | `testEnded(String host)` Called once for all threads after the end of a test.
    `void` | `testStarted()` Called just before the start of the test from the main engine thread.
    `void` | `testStarted(String host)` Called just before the start of the test from the main engine thread.

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.config.ConfigElement

      `clone`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### BOLT_CONNECTION

          public static final String BOLT_CONNECTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoltConnectionElement

          public BoltConnectionElement()

  - ### Method Detail

    - #### addConfigElement

          public void addConfigElement(ConfigElement config)

      Description copied from interface: `ConfigElement`
      Add a configuration element to this one. This allows config elements to combine and give a "layered" effect. For example, HTTPConfigElements have properties for domain, path, method, and parameters. If element A has everything filled in, but null for domain, and element B is added, which has only domain filled in, then after adding B to A, A will have the domain from B. If A already had a domain, then the correct behavior is for A to ignore the addition of element B.
      Specified by:
        `addConfigElement` in interface `ConfigElement`
      Parameters:
        `config` - the element to be added to this ConfigElement

    - #### expectsModification

          public boolean expectsModification()

      Description copied from interface: `ConfigElement`
      If your config element expects to be modified in the process of a test run, and you want those modifications to carry over from sample to sample (as in a cookie manager - you want to save all cookies that get set throughout the test), then return true for this method. Your config element will not be cloned for each sample. If your config elements are more static in nature, return false. If in doubt, return false.
      Specified by:
        `expectsModification` in interface `ConfigElement`
      Returns:
        true if the element expects to be modified over the course of a test run

    - #### testStarted

          public void testStarted()

      Description copied from interface: `TestStateListener`

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testStarted` in interface `TestStateListener`
      See Also:
        `StandardJMeterEngine.run()`

    - #### testStarted

          public void testStarted(String host)

      Description copied from interface: `TestStateListener`

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testStarted` in interface `TestStateListener`
      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.run()`

    - #### testEnded

          public void testEnded()

      Description copied from interface: `TestStateListener`

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testEnded` in interface `TestStateListener`
      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### testEnded

          public void testEnded(String host)

      Description copied from interface: `TestStateListener`

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testEnded` in interface `TestStateListener`
      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### getBoltUri

          public String getBoltUri()

    - #### setBoltUri

          public void setBoltUri(String boltUri)

    - #### getMaxConnectionPoolSize

          public int getMaxConnectionPoolSize()

    - #### setMaxConnectionPoolSize

          public void setMaxConnectionPoolSize(int maxConnectionPoolSize)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getDriver

          public static org.neo4j.driver.Driver getDriver()

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.